package com.zyc.system.mapper;

import java.util.List;
import com.zyc.system.domain.DictType;

/**
 * 字典类型Mapper接口
 * 
 * @author zyc
 * @date 2024-12-26
 */
public interface DictTypeMapper 
{
    /**
     * 查询字典类型
     * 
     * @param id 字典类型主键
     * @return 字典类型
     */
    public DictType selectDictTypeById(Integer id);

    /**
     * 查询字典类型列表
     * 
     * @param dictType 字典类型
     * @return 字典类型集合
     */
    public List<DictType> selectDictTypeList(DictType dictType);

    /**
     * 新增字典类型
     * 
     * @param dictType 字典类型
     * @return 结果
     */
    public int insertDictType(DictType dictType);

    /**
     * 修改字典类型
     * 
     * @param dictType 字典类型
     * @return 结果
     */
    public int updateDictType(DictType dictType);

    /**
     * 删除字典类型
     * 
     * @param id 字典类型主键
     * @return 结果
     */
    public int deleteDictTypeById(Integer id);

    /**
     * 批量删除字典类型
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDictTypeByIds(Integer[] ids);
}
